#ifndef MENUSETUP_H
#define MENUSETUP_H

#include <vdr/plugin.h>
#include <vdr/sources.h>


class cPluginPTV;

class cMenuSetupPTV : public cMenuSetupPage
  {
  public:
    cMenuSetupPTV(cPluginPTV *PluginPTV);
    virtual eOSState ProcessKey(eKeys Key);
  private:
    cOsdItem *Item(const char *name, const char *text);
    cOsdItem *Item(const char *name, const int num);
    cOsdItem *Item(const char *name, const double num);
    void PictureProperties(void);
    void Finetuning(void);
    cPluginPTV *PluginPTV;
  protected:
    void AddNewCategory(const char *title);
    virtual void Store(void);
  };

extern const char *loggers[];
extern const char *aspects[];
extern const char *pulldowns[];

#endif // MENUSETUP_H
